import { defineConfig } from "vite";
import replace from "@rollup/plugin-replace";
import commonjs from "@rollup/plugin-commonjs";

export default defineConfig({
  build: {
    outDir: "./js/dist",
    lib: {
      name: "react-bundling",
      formats: ["es"],
      entry: [
        "./js/src/react-jsx-runtime.js",
        "./js/src/react.js",
        "./js/src/react-dom.js",
      ],
      fileName: (_, entry) => `${entry}.js`,
    },
  },
  plugins: [
    replace({
      "process.env.NODE_ENV": JSON.stringify("production"),
      preventAssignment: true,
    }),
    commonjs({ defaultIsModuleExports: false }),
  ],
});
